Manuale PHP
Indietro |  | Avanti

# runkit_constant_add

(PECL)

runkit_constant_add -- Similar to define(), but allows defining in class definitions as well

## Descrizione

bool runkit_constant_add ( string constname, mixed value )

## Elenco dei parametri

constname

  Name of constant to declare. Either a string to indicate a global constant, or classname::constname to indicate a class constant.

value

  NULL, Bool, Long, Double, String, or Resource value to store in the new constant.

## Valori restituiti

Restituisce `TRUE` in caso di successo, `FALSE` in caso di fallimento.

## Vedere anche:

define()
runkit_constant_redefine()
runkit_constant_remove()

Indietro | Partenza | Avanti
runkit_class_emancipate | Risali | runkit_constant_redefine